Page MenuHomePhabricator

Stop getting base CSS from live ResourceLoader requests
Closed, ResolvedPublic

Event Timeline

bearND created this task.Apr 3 2019, 9:59 PM
bearND added a comment.EditedApr 4 2019, 9:58 PM

What

We want to stop getting base CSS from live RL requests.

Why

  • There are several changes to MinervaNeue coming that might break CSS for the apps.
  • Requests using RL modules are not versioned.

Related

bearND assigned this task to Mholloway.Apr 4 2019, 10:00 PM
bearND triaged this task as Normal priority.
bearND moved this task from Needs triage to Kanban on the Reading-Infrastructure-Team-Backlog board.

Thanks for filling out the task description, @bearND -- I had a lot of meetings today and didn't get to it. I'll tag the appropriate tasks.

Change 500961 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/services/mobileapps@master] Pull in styles previously obtained through ResourceLoader

https://gerrit.wikimedia.org/r/500961

Change 500962 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/services/mobileapps@master] Update /data/css/mobile/base to use styles compiled from static files

https://gerrit.wikimedia.org/r/500962

Change 501053 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/services/mobileapps@master] Strip unneeded bits from ui.less

https://gerrit.wikimedia.org/r/501053

Change 500961 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Pull in styles previously obtained through ResourceLoader

https://gerrit.wikimedia.org/r/500961

Change 500962 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Update /data/css/mobile/base to use styles compiled from static files

https://gerrit.wikimedia.org/r/500962

Change 501053 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Strip unneeded bits from ui.less

https://gerrit.wikimedia.org/r/501053

Mentioned in SAL (#wikimedia-operations) [2019-04-08T20:05:49Z] <bsitzmann@deploy1001> Started deploy [mobileapps/deploy@c7fa522]: Update mobileapps to cdb9928 (T220045 T219411 T219667)

Mentioned in SAL (#wikimedia-operations) [2019-04-08T20:07:59Z] <bsitzmann@deploy1001> Finished deploy [mobileapps/deploy@c7fa522]: Update mobileapps to cdb9928 (T220045 T219411 T219667) (duration: 02m 10s)

Mentioned in SAL (#wikimedia-operations) [2019-04-08T20:41:06Z] <bsitzmann@deploy1001> Started deploy [mobileapps/deploy@c7fa522]: Update mobileapps to cdb9928 (T220045 T219411 T219667)

Mentioned in SAL (#wikimedia-operations) [2019-04-08T20:49:01Z] <bsitzmann@deploy1001> Finished deploy [mobileapps/deploy@c7fa522]: Update mobileapps to cdb9928 (T220045 T219411 T219667) (duration: 07m 55s)

Mentioned in SAL (#wikimedia-releng) [2019-04-09T16:21:14Z] <bearND> (beta): Update mobileapps to 3edfcad (T220045 T219411 T219667) - 3rd time is the charm

Mentioned in SAL (#wikimedia-operations) [2019-04-09T17:15:26Z] <bsitzmann@deploy1001> Started deploy [mobileapps/deploy@b04c397]: Update mobileapps to 3edfcad (T220045 T219411 T219667)

Mentioned in SAL (#wikimedia-operations) [2019-04-09T17:19:16Z] <bsitzmann@deploy1001> Finished deploy [mobileapps/deploy@b04c397]: Update mobileapps to 3edfcad (T220045 T219411 T219667) (duration: 03m 50s)

It took a few tries but it's finally deployed now. See P8371 for the deployment issues yesterday.

bearND closed this task as Resolved.Apr 9 2019, 6:17 PM